Summary:		A C++ library implementing the SIP protocol
Name:			libmsip
Version:		0.8.0
Release:		0.4.20100629svn3775%{?dist}
License:		LGPLv2+
URL:			http://www.minisip.org/
Group:			System Environment/Libraries
# svn export -r 3775 svn://svn.minisip.org/minisip/trunk/libmsip libmsip-0.8.0
# tar cjf libmsip-0.8.0.tar.bz2 libmsip-0.8.0/
Source0:		%{name}-%{version}.tar.bz2
BuildRequires:		autoconf
BuildRequires:		automake
BuildRequires:		libtool
BuildRequires:		libmcrypto-devel >= 0.8.0
BuildRequires:		libmutil-devel >= 0.8.0
BuildRequires:		libmnetutil-devel >= 0.8.0
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libmsip is a C++ library that implements the SIP protocol, as defined in
RFC3261.

%package devel
Summary:		Development files for the libmsip library
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		automake
Requires:		pkgconfig


%description devel
Development files for the libmsip library

%prep
%setup -q
chmod 644 include/libmsip/SipDialogManagement.h
chmod 644 source/dialogs/SipDialogManagement.cxx

%build
sh ./bootstrap
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING.LIB
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_datadir}/aclocal/*.m4


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.4.20100629svn3775
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.3.20100629svn3775
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.2.20100629svn3775
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 23 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.8.0-0.1.20100629svn3775
- Initial package for Fedora
